#
# this is a GNUmakefile.  It must be processed with GNU make.
#

TARGET_ARCH=
TOP=../..

# you should define the make variables LOBJS and HEADERS before the
# include directive.  LOBJS is a list of Library OBJects that belong
# in libiac++.a.  HEADERS is a list of public header files that belong
# in iac++/include.

LOBJS=  IntPS.o HashTable.o \
	BoxyIPS.o YoderIPS.o \
	BoxyIPSIter.o YIPSIter.o BasePSIter.o \
	SetStructure.o \
	DblPS.o
HEADERS= IntPS.h DblPS.h \
	BasePS.h ClosurePS.h PSIter.h BasePSIter.h \
	SetStructure.h pset_errors.h

DISTFILES = BasePS.c \
	BasePS.h \
	BasePSIter.c \
	BasePSIter.h \
	BoxyIPS.c \
	BoxyIPS.h \
	BoxyIPSIter.c \
	BoxyIPSIter.h \
	ClosurePS.c \
	ClosurePS.h \
	DblPS.c \
	DblPS.h \
	GNUmakefile \
	HashTable.c \
	HashTable.h \
	IntPS.c \
	IntPS.h \
	LazyPS.c \
	LazyPS.h \
	ListFPS.c \
	ListFPS.h \
	MondoPS.c \
	MondoPS.h \
	PSIter.c \
	PSIter.h \
	SetStructure.c \
	SetStructure.h \
	YoderIPS.c \
	YoderIPS.h \
	YIPSIter.c \
	YIPSIter.h \
	closure.c \
	pset_errors.h



# OTHERLIBS=/usr/lib/debug/malloc.o /usr/lib/debug/mallocmap.o
EXTRAINCLUDES = -I../ia # for the Array

CLOSUREOBJS = closure.o
BLASTABLE_PTFILES = ___ls__FR7ostreamRC11IA_IntPoint \
	*IA_ValueSet* empty_ps* IA_Point*

include ${TOP}/src/gnumake.templ

XTRACCFLAGS=

lib: closure

closure: BasePS.h BasePS.c MondoPS.c MondoPS.h \
	ClosurePS.h ClosurePS.c LazyPS.h LazyPS.c \
	BasePSIter.h BasePSIter.c PSIter.h PSIter.c \
	ListFPS.h ListFPS.c

clean::
	rm -f ptrepository/*.o


# dependencies
IntPS.o : IntPS.c IntPS.h ${INCDIR}/Set.h ${INCDIR}/BaseSet.h ${INCDIR}/ia.h \
  ${INCDIR}/compat.h ${INCDIR}/IntPoint.h ${INCDIR}/Point.h BasePS.h \
  pset_errors.h HashTable.h PSIter.h BasePSIter.h DblPS.h ${INCDIR}/DblPoint.h \
  SetStructure.h ${INCDIR}/Array.h BoxyIPS.h YoderIPS.h LazyPS.h MondoPS.h \
  ClosurePS.h 
HashTable.o : HashTable.c HashTable.h BasePS.h ${INCDIR}/ia.h ${INCDIR}/compat.h \
  ${INCDIR}/Point.h ${INCDIR}/IntPoint.h ${INCDIR}/DblPoint.h pset_errors.h 
BoxyIPS.o : BoxyIPS.c ${INCDIR}/ia.h ${INCDIR}/compat.h BoxyIPS.h BasePS.h \
  ${INCDIR}/Point.h ${INCDIR}/IntPoint.h ${INCDIR}/DblPoint.h pset_errors.h \
  BoxyIPSIter.h BasePSIter.h IntPS.h ${INCDIR}/Set.h ${INCDIR}/BaseSet.h \
  ${INCDIR}/point_errors.h 
YoderIPS.o : YoderIPS.c ${INCDIR}/ia.h ${INCDIR}/compat.h YoderIPS.h \
  ${INCDIR}/IntPoint.h ${INCDIR}/Point.h IntPS.h ${INCDIR}/Set.h ${INCDIR}/BaseSet.h \
  BasePS.h pset_errors.h BoxyIPS.h SetStructure.h ${INCDIR}/Array.h MondoPS.h \
  YIPSIter.h BasePSIter.h PSIter.h DblPS.h ${INCDIR}/DblPoint.h 
BoxyIPSIter.o : BoxyIPSIter.c BoxyIPSIter.h BasePSIter.h BasePS.h ${INCDIR}/ia.h \
  ${INCDIR}/compat.h ${INCDIR}/Point.h ${INCDIR}/IntPoint.h ${INCDIR}/DblPoint.h \
  pset_errors.h BoxyIPS.h 
YIPSIter.o : YIPSIter.c PSIter.h BasePSIter.h BasePS.h ${INCDIR}/ia.h ${INCDIR}/compat.h \
  ${INCDIR}/Point.h ${INCDIR}/IntPoint.h ${INCDIR}/DblPoint.h pset_errors.h \
  IntPS.h ${INCDIR}/Set.h ${INCDIR}/BaseSet.h DblPS.h SetStructure.h ${INCDIR}/Array.h \
  YIPSIter.h YoderIPS.h BoxyIPS.h 
BasePSIter.o : BasePSIter.c BasePSIter.h BasePS.h ${INCDIR}/ia.h ${INCDIR}/compat.h \
  ${INCDIR}/Point.h ${INCDIR}/IntPoint.h ${INCDIR}/DblPoint.h pset_errors.h \
  IntPS.h ${INCDIR}/Set.h ${INCDIR}/BaseSet.h HashTable.h 
SetStructure.o : SetStructure.c SetStructure.h ${INCDIR}/Array.h IntPS.h \
  ${INCDIR}/Set.h ${INCDIR}/BaseSet.h ${INCDIR}/ia.h ${INCDIR}/compat.h \
  ${INCDIR}/IntPoint.h ${INCDIR}/Point.h BasePS.h pset_errors.h BoxyIPS.h \
  YoderIPS.h MondoPS.h 
DblPS.o : DblPS.c DblPS.h ${INCDIR}/Set.h ${INCDIR}/BaseSet.h ${INCDIR}/ia.h \
  ${INCDIR}/compat.h ${INCDIR}/DblPoint.h ${INCDIR}/Point.h ${INCDIR}/IntPoint.h \
  BasePS.h pset_errors.h SetStructure.h ${INCDIR}/Array.h IntPS.h MondoPS.h \
  ClosurePS.h LazyPS.h ListFPS.h ../valueset/ValueSet.h ../valueset/BaseSet.h \
  ../valueset/set_errors.h BasePSIter.h 
closure.o : closure.c ClosurePS.h BasePS.h ${INCDIR}/ia.h ${INCDIR}/compat.h \
  ${INCDIR}/Point.h ${INCDIR}/IntPoint.h ${INCDIR}/DblPoint.h pset_errors.h \
  ${INCDIR}/BaseSet.h ../valueset/ValueSet.h ../valueset/BaseSet.h ../valueset/set_errors.h \
  IntPS.h ${INCDIR}/Set.h PSIter.h BasePSIter.h DblPS.h SetStructure.h ${INCDIR}/Array.h 
